Overview
POST
/content/social-linkscontentCreate social_links
Create a record in social-links.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- deletedAtoptionalstring?
- ecosystemIdoptionalstring
- ownerKindoptionalstring
- ownerIdoptionalstring
- platformoptionalstring
- urloptionalstring
- handleoptionalstring
- sortOrderoptionalinteger
Example
{
"deletedAt": "string",
"ecosystemId": "string",
"ownerKind": "string",
"ownerId": "string",
"platform": "string",
"url": "string",
"handle": "string",
"sortOrder": 0
}Responses
201
social_links
- idstring
- customerIdstring
- deletedAtstring?
- ecosystemIdstring
- ownerKindstring
- ownerIdstring
- platformstring
- urlstring
- handlestring
- sortOrderinteger
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"customerId": "string",
"deletedAt": "string",
"ecosystemId": "string",
"ownerKind": "string",
"ownerId": "string",
"platform": "string",
"url": "string",
"handle": "string",
"sortOrder": 0,
"createdAt": "string",
"updatedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/content/social-links" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"deletedAt": "string",
"ecosystemId": "string",
"ownerKind": "string",
"ownerId": "string",
"platform": "string",
"url": "string",
"handle": "string",
"sortOrder": 0
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/content/social-links", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"deletedAt\": \"string\",\n \"ecosystemId\": \"string\",\n \"ownerKind\": \"string\",\n \"ownerId\": \"string\",\n \"platform\": \"string\",\n \"url\": \"string\",\n \"handle\": \"string\",\n \"sortOrder\": 0\n}",
});
const data = await res.json();